Update Call Disposition
curl --request PUT \
--url https://api.trillet.ai/v1/api/call-dispositions/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"scheduledAt": "<string>",
"status": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/call-dispositions/{id}"
payload = {
"scheduledAt": "<string>",
"status": "<string>",
"notes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({scheduledAt: '<string>', status: '<string>', notes: '<string>'})
};
fetch('https://api.trillet.ai/v1/api/call-dispositions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"disposition": {
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"disposition": "callback_scheduled",
"status": "pending",
"scheduledAt": "2024-06-03T10:00:00.000Z",
"attempt": 1
}
}
Update Call Disposition
Update a call disposition, such as rescheduling a callback.
PUT
/
v1
/
api
/
call-dispositions
/
{id}
Update Call Disposition
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the call disposition to update.
Request Body
string
New scheduled callback time in ISO format.
string
Updated status for the disposition.
string
Updated notes for the disposition.
Response Fields
boolean
Whether the update was successful.
object
The updated disposition object.
{
"success": true,
"disposition": {
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"disposition": "callback_scheduled",
"status": "pending",
"scheduledAt": "2024-06-03T10:00:00.000Z",
"attempt": 1
}
}
⌘I
